This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97873 - bad --help text content and formatting
bad --help text content and formatting
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-keyboard (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 11:51 EDT by Toni Willberg
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-01 12:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2003-06-23 11:51:02 EDT
redhat-config-keyboard-1.1.1-2

redhat-config-keyboard --help outputs lot's of crap instead of useful information.

I'd suggest reformatting the long list to be in just couple of lines instead of
listing each possible keymap option on it's own line.

Also, it talks about <mousetype> while it should say something about keyboard...


# redhat-config-keyboard --help
Usage: redhat-config-keyboard [--help] [--noui] [--text] [<mousetype>]
       --help            Print out this message.
       --noui            Run in command line mode.
       --text            Run in text interface mode.
                  
       <mousetype> is one of:
{'gr': ['Greek', 'el,us', 'pc105', '', 

<clip, bugzilla does not like very long text>

,grp_led:scroll'], 'sg': ['Swiss German', 'de_CH', 'pc105', '', '']}
                             be-latin1
                             bg
                             br-abnt2
                             cf
                             cz-lat2
                             cz-us-qwertz
                             de
                             de-latin1
                             de-latin1-nodeadkeys
                             dk
                             dk-latin1
                             dvorak
                             es
                             et
                             fi
                             fi-latin1
                             fr
                             fr-latin0
                             fr-latin1
                                           fr-pc
                             fr_CH
                             fr_CH-latin1
                             gr
                             hu
                             hu101
                             is-latin1
                             it
                             it-ibm
                             it2
                             jp106
                             la-latin1
                             mk-utf
                             no
                             no-latin1
                             pl
                             pt-latin1
                             ro_win
                             ru
                             ru-cp1251
                             ru-ms
                             ru1
                             ru2
                             ru_win
                             sg
                             sg-latin1
                             sk-qwerty
                             slovene
                             speakup
                             speakup-lt
                             sv-latin1
                             trq
                             ua
                             uk
                             us
                             us-acentos
Comment 1 Brent Fox 2003-07-01 12:11:25 EDT
Should be fixed in redhat-config-keyboard-1.1.2-1 and should appear in Rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.